Summary:        Library for testing Python apps in self-contained Kerberos 5 environments
Name:           python-k5test
Version:        0.10.4
Release:        1%{?dist}
License:        ISC AND HPND-export-US-modify
URL:            https://github.com/pythongssapi/k5test
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires: python3-devel python3-pytest


%description
k5test is a library for setting up self-contained Kerberos 5 environments, and
running Python unit tests inside those environments.  It is based on the file
of the same name found alongside the MIT Kerberos 5 unit tests.


%package -n python3-k5test
Summary:        %{summary}


%description -n python3-k5test
k5test is a library for setting up self-contained Kerberos 5 environments, and
running Python unit tests inside those environments.  It is based on the file
of the same name found alongside the MIT Kerberos 5 unit tests.


%prep
%autosetup -n k5test-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files k5test



%files -n python3-k5test -f %{pyproject_files}
%doc README.md


%changelog
* Tue May 28 2024 cunshunxia <cunshunxia@tencent.com> - 0.10.4-1
- initial build for python-krb5 tests.
